---
title: 'ServiceWorkerGlobalScope: activate event'
slug: Web/API/ServiceWorkerGlobalScope/activate_event
tags:
  - API
  - Event
  - Reference
  - Service Workers
  - ServiceWorkerGlobalScope
---
<div>{{APIRef("Service Workers API")}}</div>

<p>The <strong><code>activate</code></strong> event of the {{domxref("ServiceWorkerGlobalScope")}} interface is fired when a {{domxref("ServiceWorkerRegistration")}} acquires a new {{domxref("ServiceWorkerRegistration.active")}} worker.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("ExtendableEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("ServiceWorkerGlobalScope.onactivate")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>The following snippet shows how you could use an <code>activate</code> event handler to upgrade a cache.</p>

<pre class="brush: js notranslate">globalScope.addEventListener('activate', function(event) {
  var cacheWhitelist = ['v2'];

  event.waitUntil(
    caches.forEach(function(cache, cacheName) {
      if (cacheWhitelist.indexOf(cacheName) == -1) {
        return caches.delete(cacheName);
      }
    })
  );
});</pre>

<p>You can also set up the event handler using the {{domxref("ServiceWorkerGlobalScope.onactivate")}} property:</p>

<pre class="brush: js notranslate">globalScope.onactivate = function(event) {
  ...
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#service-worker-global-scope-activate-event', 'activate')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerGlobalScope.activate_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("ServiceWorkerGlobalScope/install_event", "install")}} event</li>
 <li>{{domxref("ServiceWorkerGlobalScope")}}</li>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API">Service Worker API</a></li>
</ul>
